# write-yaml [![NPM version](https://badge.fury.io/js/write-yaml.svg)](http://badge.fury.io/js/write-yaml)  [![Build Status](https://travis-ci.org/jonschlinkert/write-yaml.svg)](https://travis-ci.org/jonschlinkert/write-yaml) 

> Write YAML. Converts JSON to YAML writes it to the specified file.

## Install with [npm](npmjs.org)

```bash
npm i write-yaml --save
```

## Usage

```js
var yaml = require('write-yaml');

// this is the example data we want to write to disk.
var data = {language: 'node_js', node_js: ['0.10', '0.11']};
```

### async

```js
yaml('.travis.yml', data, function(err) {
  if (err) console.log(err);
});
```

### sync

```js
yaml.sync('.travis.yml', data);
```

## result

Both result in a `.travis.yml` file with the following contents:

```yaml
language: node_js
node_js:
  - "0.10"
  - "0.11"
```

## Other data utils
 * [plasma](https://github.com/jonschlinkert/plasma): Load data from globs or files or directly from objects.
 * [delete](https://github.com/jonschlinkert/delete): Delete files and folders and any intermediate directories if they exist (sync and async).
 * [write-json](https://github.com/jonschlinkert/write-json): Write a JSON to file disk, also creates directories in the dest path if they don't already exist.
 * [read-yaml](https://github.com/jonschlinkert/read-yaml): Very thin wrapper around js-yaml for directly reading in YAML files.
 * [read-json](https://github.com/azer/read-json): Reads and parses a JSON file.
 * [read-data](https://github.com/jonschlinkert/read-data): Read JSON or YAML files.

## Running tests
Install dev dependencies:

```bash
npm i -d && npm test
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/write-yaml/issues)

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on April 07, 2015._

<!-- deps:mocha -->
